#ifndef _IDSA_MOD_H_
#define _IDSA_MOD_H_

#include <idsa_internal.h>

#include "types.h"

#define MOD_FAILCLOSED 0x0
#define MOD_FAILOPEN   0x1

struct mod_pipe{
  int m_failmode;
  int m_times;
  int m_timeu;
  int m_interrupt;

  IDSA_EVENT *m_event;

  int m_count;
  RULE_MATCH **m_match;

  int m_fd;
  pid_t m_pid;
  char m_command[IDSA_M_MEDIUM];
};

/****************************************************************************/

void mod_free(MOD_PIPE *md);
int mod_trigger(MOD_PIPE *md, IDSA_EVENT *e);
RULE_MATCH *mod_match_make(STATE_SET * s, char *command, int sec, int usec, int failmode);

#endif
